ServerEvents.recipes(event => {

	event.remove({ type: 'tconstruct:alloy' })

	event.remove({ output: 'tconstruct:seared_melter' })
	event.remove({ output: 'tconstruct:smeltery_controller' })
	event.shaped('tconstruct:smeltery_controller', [
		'AAA',
		'BCB',
		'ADA'
	], {
		A: 'tconstruct:seared_brick',
		B: 'minecraft:copper_ingot',
		C: 'minecraft:glass',
		D: 'immersiveengineering:component_electronic'
	})

	event.remove({ output: 'tconstruct:crafting_station' })
	//event.shapeless('tconstruct:crafting_station', ['minecraft:crafting_table'])
	//event.shapeless('minecraft:crafting_table', ['tconstruct:crafting_station'])
	event.shaped('tconstruct:crafting_station', [
		'   ',
		'scs',
		's s'
	], {
		s: '#forge:rods/wooden',
		c: 'minecraft:crafting_table'
	})

	//Slime
	event.recipes.create.mixing(Fluid.of('tconstruct:earth_slime', 250), 'minecraft:slime_ball').heated()
	event.recipes.create.mixing('tconstruct:sky_slime_ball', [Fluid.of('tconstruct:earth_slime', 250), 'botania:mana_powder'])
	event.recipes.create.mixing('tconstruct:ender_slime_ball', [Fluid.of('tconstruct:earth_slime', 250), 'ae2:ender_dust'])
	event.recipes.create.mixing('tconstruct:ichor_slime_ball', [Fluid.of('tconstruct:earth_slime', 250), 'minecraft:blaze_powder'])
	event.recipes.create.mixing(Fluid.of('tconstruct:molten_queens_slime', 1000), ['minecraft:slime_ball', 'tconstruct:sky_slime_ball', 'tconstruct:ichor_slime_ball', 'tconstruct:ender_slime_ball']).heated()
	event.recipes.create.compacting('tconstruct:cinderslime_ingot', ['tconstruct:ichor_slime_ball', 'minecraft:gold_ingot']).heated()

	//Modifiers
	event.remove({ id: 'tconstruct:tools/modifiers/upgrade/workbench' }) //this one looks weird with crafttakestime, but since both use the same menu, there is no way to fix
	event.remove({ id: 'tconstruct:tools/modifiers/ability/crafting_table' })
	event.remove({ id: 'tconstruct:tools/modifiers/ability/soul_belt' })
	event.remove({ id: 'tconstruct:tools/modifiers/upgrade/soulbound' })
	event.remove({ id: 'tconstruct:tools/modifiers/upgrade/soulspeed' })
	event.remove({ id: 'tconstruct:tools/modifiers/ability/expanded' })

	event.custom({
		"type": "tconstruct:modifier",
		"allow_crystal": true,
		"inputs": [
			{
				"item": "minecraft:echo_shard"
			},
			{
				"item": "botania:keep_ivy"
			},
			{
				"item": "botania:keep_ivy"
			},
			{
				"item": "botania:keep_ivy"
			},
			{
				"item": "botania:keep_ivy"
			}
		],
		"level": 1,
		"result": "tconstruct:soulbound",
		"slots": {
			"upgrades": 1
		},
		"tools": {
			"type": "forge:difference",
			"base": {
				"tag": "tconstruct:modifiable"
			},
			"subtracted": {
				"tag": "tconstruct:modifiable/single_use"
			}
		}
	})
	event.custom({
		"type": "tconstruct:modifier",
		"allow_crystal": true,
		"inputs": [
			{
				"item": "kubejs:sculk_shroom"
			},
			{
				"item": "kubejs:sculk_tendrils"
			},
			{
				"item": "kubejs:sculk_shroom"
			},
			{
				"item": "kubejs:sculk_shroom"
			}
		],
		"level": {
			"max": 3
		},
		"result": "tconstruct:soulspeed",
		"slots": {
			"upgrades": 1
		},
		"tools": {
			"tag": "tconstruct:modifiable/armor/boots"
		}
	})


})